trinity-users@lists.pearsoncomputing.net

Message: previous - next
Month: October 2016

Re: [trinity-users] Can't install trinty for trusty (using the official pkg)

From: Slávek Banko <slavek.banko@...>
Date: Fri, 28 Oct 2016 16:25:43 +0200
On Friday 28 of October 2016 15:28:52 Uwe Brauer wrote:
> Hi
>
> I can succesfully install trinity using
>
>
>  deb http://mirror.xcer.cz/trinity-sb trusty deps-r14 main-r14
>  deb-src http://mirror.xcer.cz/trinity-sb trusty deps-r14 main-r14
>
> sudo aptitude install kubuntu-default-settings-trinity
> kubuntu-desktop-trinity
>
> However when i use the official sites
>
>
>  deb http://mirror.ppa.trinitydesktop.org/trinity/trinity-r14.0.0/ubuntu
> trusty main
>  deb-src
> http://mirror.ppa.trinitydesktop.org/trinity/trinity-r14.0.0/ubuntu trusty
> main
>  deb
> http://mirror.ppa.trinitydesktop.org/trinity/trinity-builddeps-r14.0.0/ubun
>tu trusty main
>  deb-src
> http://mirror.ppa.trinitydesktop.org/trinity/trinity-builddeps-r14.0.0/ubun
>tu trusty main
>
>
> I obtain
>
> npacking kubuntu-default-settings-trinity (4:14.0.3-0ubuntu14.04.0+0) ...
> dpkg: error processing archive
> /var/cache/apt/archives/kubuntu-default-settings-trinity_4%3a14.0.3-0ubuntu
>14.04.0+0_all.deb (--unpack):
>  trying to overwrite '/etc/kde4rc', which is also in package
> kubuntu-settings-desktop 1:14.04ubuntu15.1
> dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
> Unknown argument (abort-install) for /var/lib/dpkg/tmp.ci/postrm
> Errors were encountered while processing:
> 
> /var/cache/apt/archives/kubuntu-default-settings-trinity_4%3a14.0.3-0ubuntu
>14.04.0+0_all.deb E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.  Trying to recover:
>
>
> I reported a similar error a while ago and I am puzzled that it is still
> exist, out of curiosity I will try 16.04 official
>
> Uwe Brauer

It has a simple explanation: The first source are "Preliminary Stable 
Builds" - currently contains packages for the upcoming R14.0.4. A second 
source contains the latest stable version - currently R14.0.3. And the patch 
to prevent the conflict stated above is part of R14.0.4:

http://mirror.git.trinitydesktop.org/cgit/tde-packaging/commit/?h=r14.0.x&id=8f36ed71

Note: The final R14.0.4 is expected soon.

Cheers
-- 
Slávek